Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound\LogicalOr Class Reference

Siteaccess matcher that allows a combination of matchers, with a logical OR. More...

Inheritance diagram for eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound\LogicalOr:

## Public Member Functions
| match ()
| Returns matched Siteaccess or false if no siteaccess could be matched. More...
| reverseMatch ($siteAccessName)
| Returns matcher object corresponding to $siteAccessName or null if non applicable. More...
Public Member Functions inherited from eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound
| __construct (array $config)
| setMatcherBuilder (MatcherBuilderInterface $matcherBuilder)
| Injects the matcher builder, to allow the Compound matcher to properly build the underlying matchers. More...
| setRequest (SimplifiedRequest $request)
| Injects the request object to match against. More...
| getRequest ()
| Returns the SimplifiedRequest object corresponding to the reverse match. More...
| analyseURI ($uri)
| Analyses $uri and removes the siteaccess part, if needed. More...
| analyseLink ($linkUri)
| Analyses $linkUri when generating a link to a route, in order to have the siteaccess part back in the URI. More...
| getSubMatchers ()
| Returns all used sub-matchers. More...
| setSubMatchers (array $subMatchers)
| Replaces sub-matchers. More...
| getName ()
| Returns the matcher's name. More...
| __sleep ()
| Serialization occurs when serializing the siteaccess for subrequests. More...

## Public Attributes
const | NAME = 'logicalOr'

## Additional Inherited Members
Protected Attributes inherited from eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound
| $config
| $matchersMap = []
| $subMatchers = []
| $matcherBuilder
| $request

## Detailed Description

Siteaccess matcher that allows a combination of matchers, with a logical OR.

Definition at line 15 of file Core/MVC/Symfony/SiteAccess/Matcher/Compound/LogicalOr.php.

## Member Function Documentation

## ◆ match()

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound\LogicalOr::match | ( |  | ) |

Returns matched Siteaccess or false if no siteaccess could be matched.

Returns
  string|false

Implements eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher.

Definition at line 19 of file Core/MVC/Symfony/SiteAccess/Matcher/Compound/LogicalOr.php.

## ◆ reverseMatch()

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound\LogicalOr::reverseMatch | ( |  | $siteAccessName | ) |

Returns matcher object corresponding to $siteAccessName or null if non applicable.

Note: VersatileMatcher objects always receive a request with cleaned up pathinfo (i.e. no SiteAccess part inside).

Parameters

  string | $siteAccessName |

Returns
  \eZ\Publish\Core\MVC\Symfony\SiteAccess\VersatileMatcher|null Typically the current matcher, with updated request.

Implements eZ\Publish\Core\MVC\Symfony\SiteAccess\VersatileMatcher.

Definition at line 34 of file Core/MVC/Symfony/SiteAccess/Matcher/Compound/LogicalOr.php.

References eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound\setSubMatchers().

## Member Data Documentation

## ◆ NAME

const eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Compound\LogicalOr::NAME = 'logicalOr'

Definition at line 17 of file Core/MVC/Symfony/SiteAccess/Matcher/Compound/LogicalOr.php.

The documentation for this class was generated from the following file:

- Core/MVC/Symfony/SiteAccess/Matcher/Compound/LogicalOr.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.